| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::ChronoStatSvc Class Reference

List of all members.

## Detailed Description

Definition at line 1616 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::ChronoStatSvc::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 1651 of file GaudiSvcConf.py.

    01651                                                                :
    01652       super(ChronoStatSvc, self).__init__(name)
    01653       for n,v in kwargs.items():
    01654          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::ChronoStatSvc::getDlls | ( |  | self | ) |

Definition at line 1655 of file GaudiSvcConf.py.

    01655                      :
    01656       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::ChronoStatSvc::getType | ( |  | self | ) |

Definition at line 1657 of file GaudiSvcConf.py.

    01657                      :
    01658       return 'ChronoStatSvc'
      pass # class ChronoStatSvc

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::ChronoStatSvc::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'ChronoPrintOutTable' : True, # bool
        'ChronoDestinationCout' : False, # bool
        'ChronoPrintLevel' : 3, # int
        'ChronoTableToBeOrdered' : True, # bool
        'PrintUserTime' : True, # bool
        'PrintSystemTime' : False, # bool
        'PrintEllapsedTime' : False, # bool
        'StatPrintOutTable' : True, # bool
        'StatDestinationCout' : False, # bool
        'StatPrintLevel' : 3, # int
        'StatTableToBeOrdered' : True, # bool
        'NumberOfSkippedEventsForMemStat' : -1, # int
        'AsciiStatsOutputFile' : '', # str
        'StatTableHeader' : '     Counter     |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |', # str
        'RegularRowFormat' : ' %|-15.15s|%|17t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |', # str
        'EfficiencyRowFormat' : '*%|-15.15s|%|17t||%|10d| |%|11.5g| |(%|#9.7g| +- %|-#9.7g|)%%|   -------   |   -------   |', # str
        'UseEfficiencyRowFormat' : True, # bool
      }

Definition at line 1617 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::ChronoStatSvc::_propertyDocDct`[static, private]`

Initial value:

    {
        'StatTableHeader' : """ The header row for the output Stat-table """,
        'EfficiencyRowFormat' : """ The format for the regular row in the outptu Stat-table """,
        'RegularRowFormat' : """ The format for the regular row in the output Stat-table """,
        'AsciiStatsOutputFile' : """ Name of the output file storing the stats. If empty, no statistics will be saved (default) """,
        'UseEfficiencyRowFormat' : """ Use the special format for printout of efficiency counters """,
      }

Definition at line 1644 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py